Bug 1043386 - An attempt to create a vnic profile is made each time a vm network is being updated
Summary: An attempt to create a vnic profile is made each time a vm network is being u...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.3.0
Assignee: Lior Vernia
QA Contact: Meni Yakove
URL:
Whiteboard: network
Depends On:
Blocks: 3.3rc1
TreeView+ depends on / blocked
 
Reported: 2013-12-16 07:26 UTC by Moti Asayag
Modified: 2016-02-10 19:50 UTC (History)
8 users (show)

Fixed In Version: is28
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 22412 0 None None None Never
oVirt gerrit 22508 0 None None None Never

Description Moti Asayag 2013-12-16 07:26:46 UTC
Description of problem:
Each time a vm network is being updated via the webadmin, an attempt to create a vnic profile is made with the same default name (network name).

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Update the description of vm network

Actual results:
An error message appears stating "cannot create vnic profile, name already in use".

Expected results:
In a simple update, there shouldn't be attempt to create a vnic profile.
Only when a vm is changed from a non-vm network to a vm network, and if no profile was added on the left tab (AFAIR it should be disabled), then there should be attempt to create a vnic profile.

Additional info:

Comment 1 Sven Kieske 2013-12-18 12:41:06 UTC
I'm sorry for spamming this bz, but I already asked via ML and didn't
get any reply:

Does this bug just affect webadmin(gui) or also REST-API?

Comment 2 Lior Vernia 2013-12-18 12:53:21 UTC
Sorry, must have missed your question on the mailing list(s). Only GUI.

Comment 3 Meni Yakove 2013-12-22 07:37:43 UTC
rhevm-3.3.0-0.41.el6ev.noarch

Comment 4 Itamar Heim 2014-01-21 22:25:29 UTC
Closing - RHEV 3.3 Released

Comment 5 Itamar Heim 2014-01-21 22:26:02 UTC
Closing - RHEV 3.3 Released

Comment 6 Itamar Heim 2014-01-21 22:29:36 UTC
Closing - RHEV 3.3 Released


Note You need to log in before you can comment on or make changes to this bug.